## r-bioc-biostrings 2.62.0

=== DESCRIPTION ===
Package: Biostrings
Title: Efficient manipulation of biological strings
Description: Memory efficient string containers, string matching
	algorithms, and other utilities, for fast manipulation of large
	biological sequences or sets of sequences.
biocViews: SequenceMatching, Alignment, Sequencing, Genetics,
        DataImport, DataRepresentation, Infrastructure
URL: https://bioconductor.org/packages/Biostrings
BugReports: https://github.com/Bioconductor/Biostrings/issues
Version: 2.62.0
License: Artistic-2.0
Encoding: UTF-8
Author: H. Pagès, P. Aboyoun, R. Gentleman, and S. DebRoy
Maintainer: H. Pagès <hpages.on.github@gmail.com>
Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
        0.27.12), IRanges (>= 2.23.9), XVector (>= 0.29.2),
        GenomeInfoDb
Imports: methods, utils, grDevices, graphics, stats, crayon
LinkingTo: S4Vectors, IRanges, XVector
Enhances: Rmpi
Suggests: BSgenome (>= 1.13.14), BSgenome.Celegans.UCSC.ce2 (>=
        1.3.11), BSgenome.Dmelanogaster.UCSC.dm3 (>= 1.3.11),
        BSgenome.Hsapiens.UCSC.hg18, drosophila2probe, hgu95av2probe,
        hgu133aprobe, GenomicFeatures (>= 1.3.14), hgu95av2cdf, affy
        (>= 1.41.3), affydata (>= 1.11.5), RUnit
LazyLoad: yes
Collate: 00datacache.R utils.R IUPAC_CODE_MAP.R AMINO_ACID_CODE.R
        GENETIC_CODE.R XStringCodec-class.R seqtype.R coloring.R
        XString-class.R XStringSet-class.R XStringSet-comparison.R
        XStringViews-class.R MaskedXString-class.R
        XStringSetList-class.R xscat.R XStringSet-io.R letter.R
        getSeq.R seqinfo.R letterFrequency.R
        dinucleotideFrequencyTest.R chartr.R reverseComplement.R
        translate.R toComplex.R replaceAt.R replaceLetterAt.R
        injectHardMask.R padAndClip.R strsplit-methods.R misc.R
        SparseList-class.R MIndex-class.R lowlevel-matching.R
        match-utils.R matchPattern.R maskMotif.R matchLRPatterns.R
        trimLRPatterns.R matchProbePair.R matchPWM.R findPalindromes.R
        PDict-class.R matchPDict.R XStringPartialMatches-class.R
        XStringQuality-class.R QualityScaledXStringSet.R InDel-class.R
        AlignedXStringSet-class.R PairwiseAlignments-class.R
        PairwiseAlignmentsSingleSubject-class.R PairwiseAlignments-io.R
        align-utils.R pmatchPattern.R pairwiseAlignment.R stringDist.R
        needwunsQS.R MultipleAlignment.R matchprobes.R zzz.R
git_url: https://git.bioconductor.org/packages/Biostrings
git_branch: RELEASE_3_14
git_last_commit: 53ed287
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 20:57:46 UTC; biocbuild

=== debian/changelog ===
r-bioc-biostrings (2.62.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 08:08:40 +0100

r-bioc-biostrings (2.60.2-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * New upstream version
  * d/u/metadata: Added ref to guix
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Provide autopkgtest-pkg-r.conf to make sure runit will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 05 Sep 2021 18:04:35 +0200

=== debian/control ===
Source: r-bioc-biostrings
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors (>= 0.27.12),
               r-bioc-iranges (>= 2.23.9),
               r-bioc-xvector (>= 0.29.2),
               r-bioc-genomeinfodb,
               r-cran-crayon
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings.git
Homepage: https://bioconductor.org/packages/Biostrings/
Rules-Requires-Root: no

Package: r-bioc-biostrings
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R string objects representing biological sequences
 Memory efficient string containers, string matching algorithms, and other
 utilities, for fast manipulation of large biological sequences or set of
 sequences.

## r-bioc-biostrings 2.64.1

=== DESCRIPTION ===
--- 
+++ 
@@ -7,13 +7,13 @@
         DataImport, DataRepresentation, Infrastructure
 URL: https://bioconductor.org/packages/Biostrings
 BugReports: https://github.com/Bioconductor/Biostrings/issues
-Version: 2.62.0
+Version: 2.64.1
 License: Artistic-2.0
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun, R. Gentleman, and S. DebRoy
 Maintainer: H. Pagès <hpages.on.github@gmail.com>
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
-        0.27.12), IRanges (>= 2.23.9), XVector (>= 0.29.2),
+        0.27.12), IRanges (>= 2.30.1), XVector (>= 0.29.2),
         GenomeInfoDb
 Imports: methods, utils, grDevices, graphics, stats, crayon
 LinkingTo: S4Vectors, IRanges, XVector
@@ -43,9 +43,9 @@
         align-utils.R pmatchPattern.R pairwiseAlignment.R stringDist.R
         needwunsQS.R MultipleAlignment.R matchprobes.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biostrings
-git_branch: RELEASE_3_14
-git_last_commit: 53ed287
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: ffe263e
+git_last_commit_date: 2022-08-17
+Date/Publication: 2022-08-18
 NeedsCompilation: yes
-Packaged: 2021-10-26 20:57:46 UTC; biocbuild
+Packaged: 2022-08-18 20:01:37 UTC; biocbuild

=== debian/changelog ===
r-bioc-biostrings (2.64.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 07:48:36 +0200

r-bioc-biostrings (2.64.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #1009467
  * Reorder sequence of d/control fields by cme (routine-update)
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 08:52:07 +0200

=== debian/control ===
Source: r-bioc-biostrings
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings.git
Homepage: https://bioconductor.org/packages/Biostrings/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors (>= 0.27.12),
               r-bioc-iranges (>= 2.30.1),
               r-bioc-xvector (>= 0.29.2),
               r-bioc-genomeinfodb,
               r-cran-crayon
Testsuite: autopkgtest-pkg-r

Package: r-bioc-biostrings
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R string objects representing biological sequences
 Memory efficient string containers, string matching algorithms, and other
 utilities, for fast manipulation of large biological sequences or set of
 sequences.

## r-bioc-biostrings 2.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,13 +7,13 @@
         DataImport, DataRepresentation, Infrastructure
 URL: https://bioconductor.org/packages/Biostrings
 BugReports: https://github.com/Bioconductor/Biostrings/issues
-Version: 2.64.1
+Version: 2.66.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun, R. Gentleman, and S. DebRoy
 Maintainer: H. Pagès <hpages.on.github@gmail.com>
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
-        0.27.12), IRanges (>= 2.30.1), XVector (>= 0.29.2),
+        0.27.12), IRanges (>= 2.31.2), XVector (>= 0.37.1),
         GenomeInfoDb
 Imports: methods, utils, grDevices, graphics, stats, crayon
 LinkingTo: S4Vectors, IRanges, XVector
@@ -28,8 +28,8 @@
         GENETIC_CODE.R XStringCodec-class.R seqtype.R coloring.R
         XString-class.R XStringSet-class.R XStringSet-comparison.R
         XStringViews-class.R MaskedXString-class.R
-        XStringSetList-class.R xscat.R XStringSet-io.R letter.R
-        getSeq.R seqinfo.R letterFrequency.R
+        XStringSetList-class.R seqinfo-methods.R xscat.R
+        XStringSet-io.R letter.R getSeq.R letterFrequency.R
         dinucleotideFrequencyTest.R chartr.R reverseComplement.R
         translate.R toComplex.R replaceAt.R replaceLetterAt.R
         injectHardMask.R padAndClip.R strsplit-methods.R misc.R
@@ -43,9 +43,9 @@
         align-utils.R pmatchPattern.R pairwiseAlignment.R stringDist.R
         needwunsQS.R MultipleAlignment.R matchprobes.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biostrings
-git_branch: RELEASE_3_15
-git_last_commit: ffe263e
-git_last_commit_date: 2022-08-17
-Date/Publication: 2022-08-18
+git_branch: RELEASE_3_16
+git_last_commit: 3470ca7
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-08-18 20:01:37 UTC; biocbuild
+Packaged: 2022-11-01 20:59:03 UTC; biocbuild

=== debian/changelog ===
r-bioc-biostrings (2.66.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:11:38 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                r-base-dev,
                r-bioc-biocgenerics (>= 0.37.0),
                r-bioc-s4vectors (>= 0.27.12),
-               r-bioc-iranges (>= 2.30.1),
-               r-bioc-xvector (>= 0.29.2),
+               r-bioc-iranges (>= 2.31.2),
+               r-bioc-xvector (>= 0.37.1),
                r-bioc-genomeinfodb,
                r-cran-crayon
 Testsuite: autopkgtest-pkg-r

## r-bioc-biostrings 2.68.1

=== DESCRIPTION ===
--- 
+++ 
@@ -7,11 +7,24 @@
         DataImport, DataRepresentation, Infrastructure
 URL: https://bioconductor.org/packages/Biostrings
 BugReports: https://github.com/Bioconductor/Biostrings/issues
-Version: 2.66.0
+Version: 2.68.1
 License: Artistic-2.0
 Encoding: UTF-8
-Author: H. Pagès, P. Aboyoun, R. Gentleman, and S. DebRoy
-Maintainer: H. Pagès <hpages.on.github@gmail.com>
+Authors@R: c(
+	person("Hervé", "Pagès", role=c("aut", "cre"),
+		email="hpages.on.github@gmail.com"),
+	person("Patrick", "Aboyoun", role="aut"),
+	person("Robert", "Gentleman", role="aut"),
+	person("Saikat", "DebRoy", role="aut"),
+	person("Vince", "Carey", role="ctb"),
+	person("Nicolas", "Delhomme", role="ctb"),
+	person("Felix", "Ernst", role="ctb"),
+	person("Aidan", "Lakshman", role="ctb"),
+	person("Kieran", "O'Neill", role="ctb"),
+	person("Valerie", "Obenchain", role="ctb"),
+	person("Marcel", "Ramos", role="ctb"),
+	person("Albert", "Vill", role="ctb"),
+	person("Erik", "Wright", role="ctb"))
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.27.12), IRanges (>= 2.31.2), XVector (>= 0.37.1),
         GenomeInfoDb
@@ -43,9 +56,23 @@
         align-utils.R pmatchPattern.R pairwiseAlignment.R stringDist.R
         needwunsQS.R MultipleAlignment.R matchprobes.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biostrings
-git_branch: RELEASE_3_16
-git_last_commit: 3470ca7
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: cfbb402
+git_last_commit_date: 2023-05-16
+Date/Publication: 2023-05-16
 NeedsCompilation: yes
-Packaged: 2022-11-01 20:59:03 UTC; biocbuild
+Packaged: 2023-05-16 20:05:17 UTC; biocbuild
+Author: Hervé Pagès [aut, cre],
+  Patrick Aboyoun [aut],
+  Robert Gentleman [aut],
+  Saikat DebRoy [aut],
+  Vince Carey [ctb],
+  Nicolas Delhomme [ctb],
+  Felix Ernst [ctb],
+  Aidan Lakshman [ctb],
+  Kieran O'Neill [ctb],
+  Valerie Obenchain [ctb],
+  Marcel Ramos [ctb],
+  Albert Vill [ctb],
+  Erik Wright [ctb]
+Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-biostrings (2.68.1-1) unstable; urgency=medium

  * Reduce piuparts noise in transitions
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 15:51:32 +0200

## r-bioc-biostrings 2.70.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
         DataImport, DataRepresentation, Infrastructure
 URL: https://bioconductor.org/packages/Biostrings
 BugReports: https://github.com/Bioconductor/Biostrings/issues
-Version: 2.68.1
+Version: 2.70.2
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -19,11 +19,15 @@
 	person("Vince", "Carey", role="ctb"),
 	person("Nicolas", "Delhomme", role="ctb"),
 	person("Felix", "Ernst", role="ctb"),
+	person("Haleema", "Khan", role="ctb",
+	       comment="Converted 'matchprobes' vignette from Sweave to RMarkdown"),
 	person("Aidan", "Lakshman", role="ctb"),
 	person("Kieran", "O'Neill", role="ctb"),
 	person("Valerie", "Obenchain", role="ctb"),
 	person("Marcel", "Ramos", role="ctb"),
 	person("Albert", "Vill", role="ctb"),
+	person("Jen", "Wokaty", role="ctb",
+	       comment="Converted 'matchprobes' vignette from Sweave to RMarkdown"),
 	person("Erik", "Wright", role="ctb"))
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.27.12), IRanges (>= 2.31.2), XVector (>= 0.37.1),
@@ -35,7 +39,8 @@
         1.3.11), BSgenome.Dmelanogaster.UCSC.dm3 (>= 1.3.11),
         BSgenome.Hsapiens.UCSC.hg18, drosophila2probe, hgu95av2probe,
         hgu133aprobe, GenomicFeatures (>= 1.3.14), hgu95av2cdf, affy
-        (>= 1.41.3), affydata (>= 1.11.5), RUnit
+        (>= 1.41.3), affydata (>= 1.11.5), RUnit, BiocStyle, knitr
+VignetteBuilder: knitr
 LazyLoad: yes
 Collate: 00datacache.R utils.R IUPAC_CODE_MAP.R AMINO_ACID_CODE.R
         GENETIC_CODE.R XStringCodec-class.R seqtype.R coloring.R
@@ -56,12 +61,13 @@
         align-utils.R pmatchPattern.R pairwiseAlignment.R stringDist.R
         needwunsQS.R MultipleAlignment.R matchprobes.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biostrings
-git_branch: RELEASE_3_17
-git_last_commit: cfbb402
-git_last_commit_date: 2023-05-16
-Date/Publication: 2023-05-16
+git_branch: RELEASE_3_18
+git_last_commit: bcd44fe
+git_last_commit_date: 2024-01-27
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-28
 NeedsCompilation: yes
-Packaged: 2023-05-16 20:05:17 UTC; biocbuild
+Packaged: 2024-01-28 21:12:44 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Patrick Aboyoun [aut],
   Robert Gentleman [aut],
@@ -69,10 +75,14 @@
   Vince Carey [ctb],
   Nicolas Delhomme [ctb],
   Felix Ernst [ctb],
+  Haleema Khan [ctb] (Converted 'matchprobes' vignette from Sweave to
+    RMarkdown),
   Aidan Lakshman [ctb],
   Kieran O'Neill [ctb],
   Valerie Obenchain [ctb],
   Marcel Ramos [ctb],
   Albert Vill [ctb],
+  Jen Wokaty [ctb] (Converted 'matchprobes' vignette from Sweave to
+    RMarkdown),
   Erik Wright [ctb]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-biostrings (2.70.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Archive.
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2024 09:47:41 +0100

r-bioc-biostrings (2.70.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 01:47:36 +0000

=== debian/control ===
Source: r-bioc-biostrings
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors,
               r-bioc-iranges (>= 2.31.2),
               r-bioc-xvector (>= 0.37.1),
               r-bioc-genomeinfodb,
               r-cran-crayon
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings.git
Homepage: https://bioconductor.org/packages/Biostrings/
Rules-Requires-Root: no

Package: r-bioc-biostrings
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R string objects representing biological sequences
 Memory efficient string containers, string matching algorithms, and other
 utilities, for fast manipulation of large biological sequences or set of
 sequences.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
 https://www.bioconductor.org/packages/release/bioc/html/Biostrings.html .*/Biostrings_([\d\.]+)\.tar\.gz

## r-bioc-biostrings 2.70.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
         DataImport, DataRepresentation, Infrastructure
 URL: https://bioconductor.org/packages/Biostrings
 BugReports: https://github.com/Bioconductor/Biostrings/issues
-Version: 2.70.2
+Version: 2.70.3
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -62,12 +62,12 @@
         needwunsQS.R MultipleAlignment.R matchprobes.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biostrings
 git_branch: RELEASE_3_18
-git_last_commit: bcd44fe
-git_last_commit_date: 2024-01-27
+git_last_commit: c213e35
+git_last_commit_date: 2024-03-12
 Repository: Bioconductor 3.18
-Date/Publication: 2024-01-28
+Date/Publication: 2024-03-13
 NeedsCompilation: yes
-Packaged: 2024-01-28 21:12:44 UTC; biocbuild
+Packaged: 2024-03-13 20:50:48 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Patrick Aboyoun [aut],
   Robert Gentleman [aut],

=== debian/changelog ===
r-bioc-biostrings (2.70.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor

 -- Andreas Tille <tille@debian.org>  Wed, 27 Mar 2024 13:48:41 +0100

## r-bioc-biostrings 2.72.1+dfsg

=== DESCRIPTION ===
Package: Biostrings
Title: Efficient manipulation of biological strings
Description: Memory efficient string containers, string matching
	algorithms, and other utilities, for fast manipulation of large
	biological sequences or sets of sequences.
biocViews: SequenceMatching, Alignment, Sequencing, Genetics,
        DataImport, DataRepresentation, Infrastructure
URL: https://bioconductor.org/packages/Biostrings
BugReports: https://github.com/Bioconductor/Biostrings/issues
Version: 2.72.1
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Patrick", "Aboyoun", role="aut"),
	person("Robert", "Gentleman", role="aut"),
	person("Saikat", "DebRoy", role="aut"),
	person("Vince", "Carey", role="ctb"),
	person("Nicolas", "Delhomme", role="ctb"),
	person("Felix", "Ernst", role="ctb"),
	person("Wolfgang", "Huber", role="ctb",
	       comment="'matchprobes' vignette"),
	person("Haleema", "Khan", role="ctb",
	       comment="Converted 'matchprobes' vignette from Sweave to RMarkdown"),
	person("Aidan", "Lakshman", role="ctb"),
	person("Kieran", "O'Neill", role="ctb"),
	person("Valerie", "Obenchain", role="ctb"),
	person("Marcel", "Ramos", role="ctb"),
	person("Albert", "Vill", role="ctb"),
	person("Jen", "Wokaty", role="ctb",
	       comment="Converted 'matchprobes' vignette from Sweave to RMarkdown"),
	person("Erik", "Wright", role="ctb"))
Depends: R (>= 4.0.0), BiocGenerics (>= 0.37.0), S4Vectors (>=
        0.27.12), IRanges (>= 2.31.2), XVector (>= 0.37.1),
        GenomeInfoDb
Imports: methods, utils, grDevices, stats, crayon
LinkingTo: S4Vectors, IRanges, XVector
Suggests: graphics, pwalign, BSgenome (>= 1.13.14),
        BSgenome.Celegans.UCSC.ce2 (>= 1.3.11),
        BSgenome.Dmelanogaster.UCSC.dm3 (>= 1.3.11),
        BSgenome.Hsapiens.UCSC.hg18, drosophila2probe, hgu95av2probe,
        hgu133aprobe, GenomicFeatures (>= 1.3.14), hgu95av2cdf, affy
        (>= 1.41.3), affydata (>= 1.11.5), RUnit, BiocStyle, knitr
VignetteBuilder: knitr
Collate: utils.R IUPAC_CODE_MAP.R AMINO_ACID_CODE.R GENETIC_CODE.R
        XStringCodec-class.R seqtype.R coloring.R XString-class.R
        XStringSet-class.R XStringSet-comparison.R XStringViews-class.R
        MaskedXString-class.R XStringSetList-class.R seqinfo-methods.R
        xscat.R XStringSet-io.R letter.R getSeq.R letterFrequency.R
        dinucleotideFrequencyTest.R chartr.R reverseComplement.R
        translate.R toComplex.R replaceAt.R replaceLetterAt.R
        injectHardMask.R padAndClip.R strsplit-methods.R misc.R
        SparseList-class.R MIndex-class.R lowlevel-matching.R
        match-utils.R matchPattern.R maskMotif.R matchLRPatterns.R
        trimLRPatterns.R matchProbePair.R matchPWM.R findPalindromes.R
        PDict-class.R matchPDict.R XStringPartialMatches-class.R
        XStringQuality-class.R QualityScaledXStringSet.R
        pmatchPattern.R needwunsQS.R MultipleAlignment.R matchprobes.R
        moved_to_pwalign.R zzz.R
git_url: https://git.bioconductor.org/packages/Biostrings
git_branch: RELEASE_3_19
git_last_commit: 959b3ba
git_last_commit_date: 2024-05-31
Repository: Bioconductor 3.19
Date/Publication: 2024-06-02
NeedsCompilation: yes
Packaged: 2024-06-03 03:38:26 UTC; biocbuild
Author: Hervé Pagès [aut, cre],
  Patrick Aboyoun [aut],
  Robert Gentleman [aut],
  Saikat DebRoy [aut],
  Vince Carey [ctb],
  Nicolas Delhomme [ctb],
  Felix Ernst [ctb],
  Wolfgang Huber [ctb] ('matchprobes' vignette),
  Haleema Khan [ctb] (Converted 'matchprobes' vignette from Sweave to
    RMarkdown),
  Aidan Lakshman [ctb],
  Kieran O'Neill [ctb],
  Valerie Obenchain [ctb],
  Marcel Ramos [ctb],
  Albert Vill [ctb],
  Jen Wokaty [ctb] (Converted 'matchprobes' vignette from Sweave to
    RMarkdown),
  Erik Wright [ctb]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-biostrings (2.72.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/control: r-bioc-pwalign with minimum version was missing from the
    Suggests line
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 12:36:17 +0200

r-bioc-biostrings (2.72.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 14:51:57 +0200

r-bioc-biostrings (2.72.1+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 19:05:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.37.0),
-               r-bioc-s4vectors,
-               r-bioc-iranges (>= 2.31.2),
-               r-bioc-xvector (>= 0.37.1),
-               r-bioc-genomeinfodb,
+               architecture-is-64-bit,
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-xvector (>= 0.44.0),
+               r-bioc-genomeinfodb (>= 1.40.1),
                r-cran-crayon
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings
@@ -23,9 +24,19 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-xvector (>= 0.44.0),
+         r-bioc-genomeinfodb (>= 1.40.1),
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-pwalign (>= 1.0.0-2~0exp1),
+          r-bioc-bsgenome (>= 1.72.0),
+          r-bioc-genomicfeatures (>= 1.56.0),
+          r-bioc-affy (>= 1.82.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: GNU R string objects representing biological sequences
  Memory efficient string containers, string matching algorithms, and other
  utilities, for fast manipulation of large biological sequences or set of

## r-bioc-biostrings 2.74.1%2Bdfsg

=== debian/control ===
Source: r-bioc-biostrings
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biostrings.git
Homepage: https://bioconductor.org/packages/Biostrings/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               architecture-is-64-bit,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-xvector (>= 0.44.0),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-cran-crayon
Testsuite: autopkgtest-pkg-r

Package: r-bioc-biostrings
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R string objects representing biological sequences
 Memory efficient string containers, string matching algorithms, and other
 utilities, for fast manipulation of large biological sequences or set of
 sequences.

## r-bioc-biostrings 2.74.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
         DataImport, DataRepresentation, Infrastructure
 URL: https://bioconductor.org/packages/Biostrings
 BugReports: https://github.com/Bioconductor/Biostrings/issues
-Version: 2.72.1
+Version: 2.74.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -21,6 +21,8 @@
 	person("Felix", "Ernst", role="ctb"),
 	person("Wolfgang", "Huber", role="ctb",
 	       comment="'matchprobes' vignette"),
+	person("Beryl", "Kanali", role="ctb",
+	       comment="Converted 'MultipleAlignments' vignette from Sweave to RMarkdown"),
 	person("Haleema", "Khan", role="ctb",
 	       comment="Converted 'matchprobes' vignette from Sweave to RMarkdown"),
 	person("Aidan", "Lakshman", role="ctb"),
@@ -41,7 +43,8 @@
         BSgenome.Dmelanogaster.UCSC.dm3 (>= 1.3.11),
         BSgenome.Hsapiens.UCSC.hg18, drosophila2probe, hgu95av2probe,
         hgu133aprobe, GenomicFeatures (>= 1.3.14), hgu95av2cdf, affy
-        (>= 1.41.3), affydata (>= 1.11.5), RUnit, BiocStyle, knitr
+        (>= 1.41.3), affydata (>= 1.11.5), RUnit, BiocStyle, knitr,
+        testthat (>= 3.0.0), covr
 VignetteBuilder: knitr
 Collate: utils.R IUPAC_CODE_MAP.R AMINO_ACID_CODE.R GENETIC_CODE.R
         XStringCodec-class.R seqtype.R coloring.R XString-class.R
@@ -59,13 +62,13 @@
         pmatchPattern.R needwunsQS.R MultipleAlignment.R matchprobes.R
         moved_to_pwalign.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biostrings
-git_branch: RELEASE_3_19
-git_last_commit: 959b3ba
-git_last_commit_date: 2024-05-31
-Repository: Bioconductor 3.19
-Date/Publication: 2024-06-02
+git_branch: RELEASE_3_20
+git_last_commit: b5de574
+git_last_commit_date: 2024-12-14
+Repository: Bioconductor 3.20
+Date/Publication: 2024-12-16
 NeedsCompilation: yes
-Packaged: 2024-06-03 03:38:26 UTC; biocbuild
+Packaged: 2024-12-16 21:20:41 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Patrick Aboyoun [aut],
   Robert Gentleman [aut],
@@ -74,6 +77,8 @@
   Nicolas Delhomme [ctb],
   Felix Ernst [ctb],
   Wolfgang Huber [ctb] ('matchprobes' vignette),
+  Beryl Kanali [ctb] (Converted 'MultipleAlignments' vignette from Sweave
+    to RMarkdown),
   Haleema Khan [ctb] (Converted 'matchprobes' vignette from Sweave to
     RMarkdown),
   Aidan Lakshman [ctb],

=== debian/changelog ===
r-bioc-biostrings (2.74.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 15:07:53 +0100

r-bioc-biostrings (2.74.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 27 Dec 2024 12:12:44 -0800

r-bioc-biostrings (2.74.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:27:59 +0100

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
 https://www.bioconductor.org/packages/release/bioc/html/Biostrings.html .*/Biostrings_([\d\.]+)\.tar\.gz
